#include <iostream>
#include <vector>
using namespace std;
int check(int q,vector<int> a)
{
    int s,d;
    if(q%2==1)
    {
        s=q/2;
        d=q/2+1;
    }
    else
    {
        s=q/2;
        d=q/2;
    }
    while((s>0) and (d<a.size()))
    {
        if((a[s]==0) and (a[d]==0))
        {
            return 0;
        }
        else
        {
            s--;
            d++;
        }
    }
    return 1;
}
int main()
{
    long int n,k,l;
    cin>>n;
    cin>>k;
    vector<int> a(n+1);
    for(int i=0;i<k;i++)
    {
        cin>>l;
        a[l]=1;
    }
    int h=2*n-1;
    for(int i=2; i<=2*n;i++)
    {
        h-=check(i,a);
    }
    cout<<h;
    return 0;
}
